# Coveo FieldValue Component (CoveoFieldValue)

## Index

### Methods

- debugInfo
- disable
- enable
- getBindings
- getValue
- renderOneValue
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- conditions
- displaySeparator
- facet
- field
- helper
- helperOptions
- htmlValue
- separator
- splitValues
- textCaption

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### getValue

- getValue(): any

- - Defined in ui/FieldValue/FieldValue.ts :294

  #### Returns any

  The current FieldValue or `null` if value is and `Object`.

### renderOneValue

- renderOneValue(value: string): HTMLElement

- - Defined in ui/FieldValue/FieldValue.ts :307

  #### Parameters

  - ##### value: string

  #### Returns HTMLElement

  The element containing the rendered value.

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### conditions

conditions: IFieldConditionOption[]

- Defined in ui/FieldValue/FieldValue.ts :225

### displaySeparator

displaySeparator: string

- Defined in ui/FieldValue/FieldValue.ts :131

Markup configuration example(s) :

    data-display-separator='foo'

### facet

facet: string

- Defined in ui/FieldValue/FieldValue.ts :91

Markup configuration example(s) :

    data-facet='foo'

### field

field: IFieldOption

- Defined in ui/FieldValue/FieldValue.ts :80

Markup configuration example(s) :

    data-field='@foo'

### helper

helper: string

- Defined in ui/FieldValue/FieldValue.ts :139

Markup configuration example(s) :

    data-helper='foo'

### helperOptions

helperOptions: any

- Defined in ui/FieldValue/FieldValue.ts :144

### htmlValue

htmlValue: boolean

- Defined in ui/FieldValue/FieldValue.ts :98

Markup configuration example(s) :

    data-html-value='true'
    data-html-value='false'

### separator

separator: string

- Defined in ui/FieldValue/FieldValue.ts :119

Markup configuration example(s) :

    data-separator='foo'

### splitValues

splitValues: boolean

- Defined in ui/FieldValue/FieldValue.ts :109

Markup configuration example(s) :

    data-split-values='true'
    data-split-values='false'

### textCaption

textCaption: string

- Defined in ui/FieldValue/FieldValue.ts :203

Markup configuration example(s) :

    data-text-caption='foo'

## Constructors

### constructor

- new FieldValue(element: HTMLElement, options: IFieldValueOptions, bindings?: IComponentBindings, result?: IQueryResult, fieldValueClassId?: string): FieldValue

- Overwrites Component.constructor

  - Defined in ui/FieldValue/FieldValue.ts :232

  #### Parameters

  - ##### element: HTMLElement

  - ##### options: IFieldValueOptions

  - ##### Optional bindings: IComponentBindings

  - ##### Optional result: IQueryResult

  - ##### Default value fieldValueClassId: string = FieldValue.ID

  #### Returns FieldValue